#! /bin/sh

# Note that this tests the INSTALLED shared libs, not the ones in the
# tree.

# Need job control.
set -m

# Test the various options for the LOG target.
insmod ../packet-filter/extentions/ipt_LOG.o || exit 1

for j in "" "--log-level 0" "--log-level 7" "--log-level emerg" "--log-level alert" "--log-level crit" "--log-level err" "--log-level warning" "--log-level notice" "--log-level info" "--log-level debug"
do
    for k in "" "--log-prefix x" "--log-prefix testing:"
    do
	../packet-filter/userspace/iptables -A FORWARD -j LOG $i $j $k || exit 1
    done
done

../packet-filter/userspace/iptables -F FORWARD || exit 1
rmmod ipt_LOG || exit 1

exit 0
