#! /bin/sh

# Test that simple IP NAT works.

# Need job control.
set -m

../NAT/userspace/ipnatctl -I -s $TAP0NET.2 -d $TAP1NET.2 -b source -t $TAP0NET.3 || exit 1

./rcv_ip 2 1 < /dev/tap1 > $TMPFILE &
sleep 1

./gen_ip $TAP0NET.2 $TAP1NET.2 100 1 8 0 55 57 > /dev/tap0

../NAT/userspace/ipnatctl -D -s $TAP0NET.2 -d $TAP1NET.2 -b source -t $TAP0NET.3 || exit 1

if wait %./rcv_ip; then :
else
    echo ./rcv_ip failed:
    cat $TMPFILE
    exit 1
fi

OUTPUT=`cat $TMPFILE`
if [ "$OUTPUT" != "$TAP0NET.3 $TAP1NET.2 100 1 8 0 55 57 " ]
then
    echo Unexpected output: $OUTPUT
    exit 1
fi

exit 0

