/* Shared library add-on to iptables for standard target support. */
#include <stdio.h>
#include <netdb.h>
#include <string.h>
#include <stdlib.h>
#include <limits.h>
#include <getopt.h>
#include "packet-filter/userspace/iptables.h"

/* Function which prints out usage message. */
static void
help(void)
{
	printf(
"Standard v%s options:\n"
"(If target is DROP, ACCEPT, RETURN or nothing)\n", NETFILTER_VERSION);
}

static struct option opts[] = {
	{0}
};

/* Initialize target; target filled in by libipfwc */
static void
init(union ipt_targinfo *targinfo, unsigned int *nfcache)
{
	memset(&targinfo->standard, 0, sizeof(targinfo->standard));
}

/* Function which parses command options; returns true if it
   ate an option */
static int
parse(int c, char **argv, int invert, unsigned int *flags,
      struct ipt_entry *entry)
{
	return 0;
}

/* Final check; don't care. */
static void final_check(unsigned int flags)
{
}

/* Prints out the union ipt_targinfo. */
static void print(const union ipt_targinfo *info, int numeric)
{
}

struct iptables_target standard
= { NULL,
    "standard",
    &help,
    &init,
    &parse,
    &final_check,
    &print,
    opts
};

void _init(void)
{
	register_target(&standard);
}
