#! /bin/sh
# Shell script to run iptables test suite.

for f in 00netfilter/[0-9]*
do
    insmod ../device/netfilter_dev.o || exit 1

    if $f
    then
	[ -z "$VERBOSE" ] || echo Test $f succeeded.
    else
	echo Test $f failed.
	exit 1
    fi

    rmmod netfilter_dev || exit 1
    rmmod redirect 2>/dev/null
done

exit 0
