#! /bin/sh

# Based on bug report 0011, by Reuben Farrelly, and 0012 by Gunther Mayer.

# Need job control.
set -m

dmesg -c > /dev/null || exit 1

./rcv_ip 2 3 < /dev/tap1 > $TMPFILE &
sleep 1

# Send some traffic: ping, SYN, dns.
./gen_ip $TAP0NET.2 $TAP1NET.2 100 1 8 0 55 57 > /dev/tap0 || exit 1
./gen_ip $TAP0NET.2 $TAP1NET.2 100 6 1024 80 SYN > /dev/tap0 || exit 1
./gen_ip $TAP0NET.2 $TAP1NET.2 100 17 1024 53 > /dev/tap0 || exit 1

if wait %./rcv_ip; then :
else
    echo ./rcv_ip failed:
    cat $TMPFILE
    exit 1
fi

if dmesg | grep unlocked >/dev/null
then
    echo Lock problems:
    dmesg
    exit 1
fi

exit 0
